Get unit type by ID
https://api.propexo.com/v1/unit-types/:unit_type_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the unit type
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
1bed1bathThe external ID of the property from the integration vendor
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
greenbayThe external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for YARDI_REST
nullThe name associated with the unit type
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
1 Bed 1 BathThe number of bedrooms associated with the unit type
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
Possible values: >= 0
2The number of bathrooms associated with the unit type
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
1.5The number of full bathrooms associated with the unit type
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
Possible values: >= 0
1The number of half bathrooms associated with the unit type
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
Possible values: >= 0
1The rentable square footage of the unit type
Yardi represents this as a range with a minimum and a maximum. This value is the minimum. If you'd like the maximum end of this range, we can provide custom data upon request.
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
Possible values: >= 0
1000The gross square footage of the unit type
Yardi represents this as a range with a minimum and a maximum. This value is the minimum. If you'd like the maximum end of this range, we can provide custom data upon request.
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
Possible values: >= 0
1000The minimum rent of the unit type
This is based on "EffectiveRent" in Yardi. There is also a "MarketRent" set of values that we can add as a custom data upon request.
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
75000The maximum rent of the unit type
This is based on "EffectiveRent" in Yardi. There is also a "MarketRent" set of values that we can add as a custom data upon request.
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
75000The number of units associated with the unit type
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
Possible values: >= 0
100The deposit amount in cents associated with the unit type
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
10000The raw deposit amount associated with the unit type
| Interface | Method |
|---|---|
| ILS Guest Card | /ItfProspect/AvailableUnits |
100.00The Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
YARDI_RESTAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/unit-types/:unit_type_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "1bed1bath",
"x_property_id": "greenbay",
"x_location_id": null,
"name": "1 Bed 1 Bath",
"bedrooms": 2,
"bathrooms": "1.5",
"bathrooms_full": 1,
"bathrooms_half": 1,
"rentable_square_feet": 1000,
"gross_square_feet": 1000,
"rent_minimum_in_cents": 75000,
"rent_maximum_in_cents": 75000,
"unit_count": 100,
"deposit_amount_in_cents": 10000,
"deposit_amount_raw": "100.00",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI_REST",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}